Login
Newsletter
Werbung

Sicherheit: Zwei Probleme in yubico-piv-tool
Aktuelle Meldungen Distributionen
Name: Zwei Probleme in yubico-piv-tool
ID: openSUSE-SU-2018:2623-1
Distribution: SUSE
Plattformen: SUSE openSUSE Leap 42.3
Datum: Mi, 5. September 2018, 16:41
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-14779
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-14780
Applikationen: yubico-piv-tool

Originalnachricht

   openSUSE Security Update: Security update for yubico-piv-tool
______________________________________________________________________________

Announcement ID: openSUSE-SU-2018:2623-1
Rating: low
References: #1104809 #1104811
Cross-References: CVE-2018-14779 CVE-2018-14780
Affected Products:
openSUSE Leap 42.3
______________________________________________________________________________

An update that fixes two vulnerabilities is now available.

Description:

This update for yubico-piv-tool fixes the following issues:

Security issues fixed:

- CVE-2018-14779: Fixed an buffer overflow and an out of bounds memory
read in ykpiv_transfer_data(), which could be triggered by a malicious
token. (boo#1104809, YSA-2018-03)
- CVE-2018-14780: Fixed an buffer overflow and an out of bounds memory
read in _ykpiv_fetch_object(), which could be triggered by a malicious
token. (boo#1104811, YSA-2018-03)


Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended
installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Leap 42.3:

zypper in -t patch openSUSE-2018-969=1



Package List:

- openSUSE Leap 42.3 (i586 x86_64):

libykpiv-devel-0.1.6-7.3.1
libykpiv1-0.1.6-7.3.1
libykpiv1-debuginfo-0.1.6-7.3.1
yubico-piv-tool-0.1.6-7.3.1
yubico-piv-tool-debuginfo-0.1.6-7.3.1
yubico-piv-tool-debugsource-0.1.6-7.3.1


References:

https://www.suse.com/security/cve/CVE-2018-14779.html
https://www.suse.com/security/cve/CVE-2018-14780.html
https://bugzilla.suse.com/1104809
https://bugzilla.suse.com/1104811

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@opensuse.org
For additional commands, e-mail: opensuse-security-announce+help@opensuse.org
Pro-Linux
Pro-Linux @Facebook
Neue Nachrichten
Werbung